############################################################################
# Joshua R. Boverhof, LBNL
# See LBNLCopyright for copyright notice!
###########################################################################
import ZSI.TC
from ZSI.wstools.Namespaces import OASIS
from pyGridWare.services.CounterService import Counter
from pyGridWare.security.gss.GssService import GssSecureResourceMixIn
from pyGridWare.security.Utility import MessageSigUtility


class SecureCounter(GssSecureResourceMixIn, Counter):

    def __init__(self, post='/wsrf/services/SecureCounterService', **kw):
        Counter.__init__(self, post)
        GssSecureResourceMixIn.__init__(self, post)


